Package wx :: Class CollapsiblePaneEvent

[frames | no frames]

## Type CollapsiblePaneEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
                        CollapsiblePaneEvent

Proxy of C++ CollapsiblePaneEvent class

Method Summary
CommandEvent | ``__init__`(self, commandType, winid)` This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.
bool | `GetCollapsed(self)`
| `SetCollapsed(self, c)`

Property Summary
| `Collapsed`: GetCollapsed(self) -> bool
| `thisown`: The membership flag

Method Details

### __init__(self, generator, id, collapsed)
(Constructor)

This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.

  Parameters:
    `commandType`
    (type=EventType)

    `winid`
    (type=int)

  Returns:
    CommandEvent
  Overrides:
    `wx.CommandEvent.__init__` (inherited documentation)

Property Details

### Collapsed

GetCollapsed(self) -> bool

  Get Method:
    `GetCollapsed`(self)
  Set Method:
    `SetCollapsed`(self, c)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:48:04 2007 | http://epydoc.sf.net